Community Patch - How To Install

Discussion in 'Community Patch Project' started by Gazebo, Jun 13, 2014.

  1. PoliticoExNihilo

    PoliticoExNihilo Chieftain

    Joined:
    Oct 12, 2020
    Messages:
    4
    Newbie here to CivFanatics and CPP/VP/CBP. I downloaded the mod about 6 months ago and I remember the games I played on it fondly. But I returned a couple days ago to try out the newest version 10.7 and have run into nothing but problems. I didn't take photos of some of the situations I ran into because it either happened once, was not able to take a screenshot or any other technical reason.
    My latest issue with using the mod is just a plain a (not so) simple CTD after hitting "Play". One attempt I made where I managed to get into the game proper, the UI didn't load at all, so I couldn't give commands like settle a city or even see what unit was selected. I backed out and tried to change some things around and I got more or less the same result or worse. My latest attempt saw me actually be able to give units commands, but tooltips and different context based buttons were completely botched, showing root file names in place of actual context descriptions. I also couldn't build/produce anything with my first city, as it just showed the different classes of things to build i.e. units, building, wonders but without giving me anything to actually click on. Again I backed out and changed my approach a bit more, which was to just delete everything, start over and install the full VP file + UI using the auto installer. I thought that surely this would work since I tried so many other painstaking ways to play. But I was rebuffed with constant CTD as soon as I was done with the setup screen. Everything was pretty vanilla settings wise, I didn't use any map mods or dll files that could conflict.
    I'm at a loss here with what I could potentially be doing wrong or right. I was really hoping that the auto installer would fix everything, but here I am typing away in a thread that probably isn't meant to handle this type of complaint for just a sliver of hope that I can start playing Civ 5 again.
     
  2. Auberon

    Auberon Chieftain

    Joined:
    Sep 3, 2007
    Messages:
    30
    Location:
    Toulouse
    Thank you very much @vyyt, this is what I suspected but I thought it was better to check.

    Have a nice day.
     
    vyyt likes this.
  3. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    @PoliticoExNihilo , the first thing that comes on my mind is - are you loading the mods properly? After activating all the VP components in the mods screen, do you press Next? Many people activate the mod components and then go back to the main menu and start the unmodded game. It then crashes because the VP EUI component is activated (as a faux DLC).

    Another possibility is that your Steam is installed in either a non-standard location or you have changed its location during your break from Civ5. If this is the case, the autoinstaller puts EUI into a wrong (= standard) location. You have to move it (= the UI_bc1 in the DLC folder) to where your Civ5 game is installed. I am on my cell now, but if you check a few posts back in this thread, you will find what to move where.
     
    PoliticoExNihilo likes this.
  4. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    I hope I am right. I'd hate to make someone's computer infected because of me disregarding a warning by certain AVs. Have a good one too.
     
  5. PoliticoExNihilo

    PoliticoExNihilo Chieftain

    Joined:
    Oct 12, 2020
    Messages:
    4
    The answer to your first question is yes I click NEXT and not try to boot up an unmodded game, that just sounds silly...
    I didn't realize that there was an issue with some files being placed in wrong folders and whatnot. I looked back a few pages in the thread to see what's been mentioned about it and I found more questions, really. So is the UI_bc1 folder supposed to be in the Steam folder or the MODS folder? I didn't see a straight answer on that unless I just wasn't paying attention. If what you say is correct and the installer simply put the folder in the wrong place would that imply that it belongs with the rest of the MODS folders? Or does it simply need to be cut out of the DLC folder and pasted inside the main Steam folder (where the Launcher, et al are)? I did notice that some people found solace in simply downloading the Beta release instead of the full release, but when I looked inside the Beta versions folder on Mega it was empty? Anyway, I'm going to attempt to manually install it again (not using the installer DL because it gets flagged for a trojan by my VP), and I'm going to try to put the UI folder in the MODS folder initially and if that doesn't work then I'll try it in the main Steam folder but not in the DLC one. I'll write in later if I find success.

    Edit: Still no luck. So, I'm not sure if it's because I'm not using version 279 which I've seen mentioned. But I don't know a way to see what version of the exe I'm using or how to revert back to it if I'm not. The Beta tab doesn't seem to let me access earlier releases so it's a dead end there. I took the UI folder out of the DLC folder and it didn't change anything. I'm going to try to find a way to see what version I'm using and see if that's the culprit and I'm also going to try to unsub from every other mod to see if there might be a mod conflict even though I haven't activated anything but VP and CBO.
     
    Last edited: Oct 14, 2020
  6. PoliticoExNihilo

    PoliticoExNihilo Chieftain

    Joined:
    Oct 12, 2020
    Messages:
    4
    Okay, as you can see it's only a few minutes later but I made some progress.
    I managed to start a new game with no CTD! Here's the diagnosis from that. It seems like a large chunk of the problem was that I was using an old version of VP downloaded from Steam that I neglected to notice and subsequently unsubbed, which allowed me to use the 10.7 version of the Patch and all of CBO's components. Buuuuut. While the game was loading finally, I got some error messages telling me that at least 7 different textures failed to load from the new UI. The old problem of unclickable units is back as well. So, missing textures for the UI and I can't see what units are highlighted through the UI either. This is probably an easier fix, so I'll check back in the afternoon to see if anyone has responded to this problem. It's time for bed now.
     
  7. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    @PoliticoExNihilo , it's not silly, you'd be surprised how many people click Back instead of Next in the MODs screen.

    Anyway, you need to delete the Community Patch you had downloaded from Steam (make sure that you are unsubscribed (and that it is properly deleted from your MODs folder)), otherwise it will redownload from Steam and conflict with VP again.

    Usually, you can just run the autoinstaller and it will automatically place VP into your MODs folder, and EUI (UI_bc1) into the DLCs folder into Steam/Civ5 folder. However, in some very rare cases, EUI will land in a wrong (= default) location on drive C: - usually when you installed Steam/Civ5 into a non-C: location or when you reinstalled Steam/Civ5 into a different location and the Windows registry did not update properly).

    In this case you need to go to the default (= wrong) location, which had been created on your drive C: (it's something like C:/Program Files/Steam/steamapps/common/Civ5/DLCs/UI_bc1. I am not on my computer, just run a search for UI_bc1) and you need to move the UI_bc1 folder to the correct location where your Steam/Civ5/DLCs (the folder structure will be identical).

    You need to do it only once. When you update VP via autoinstaller next time when the next VP version is released, it will probably place EUI in the wrong (= default) location again, but you will already have EUI in the correct location from the initial install.

    The version .279 you mention is the version of Civ5, not VP. You can check your Civ5 version right below the menu in the 1st screen (if it does not end with .279, update Civ5 from Steam).
     
  8. PoliticoExNihilo

    PoliticoExNihilo Chieftain

    Joined:
    Oct 12, 2020
    Messages:
    4
    @vyyt Okay, so I'm about 250 turns into a new VP game! Turns out the confusion was that the auto-installer was correct in the first place as my initial install location was the correct one to begin with. The UI is in good shape and I'm not experiencing any crashes (yet). I'll stop responding in this thread for now since any problem that surfaces probably won't be relevant to an installation process. Thanks for the help and I hope I'll be able to make more of a presence on the forum in the future. I doubt my dilemma will help others with their installation since mine was so simple, but I'm looking forward to being a part of the VP/CBO community.
     
    vyyt likes this.
  9. Haile Marriam

    Haile Marriam Chieftain

    Joined:
    Sep 17, 2017
    Messages:
    30
    Gender:
    Male
    I'm getting an error when trying to download the 10.7 version saying Windows cannot access the specified path and I may not have permissions to extract. Any ideas? Thanks.
     
  10. Luke_Thighwalker

    Luke_Thighwalker Chieftain

    Joined:
    Dec 10, 2019
    Messages:
    4
    is anyones game pacing getting really thrown off? i got people entering the atomic era in the 1700's and I cant figure out why...
     
    HeroOfTheSword likes this.
  11. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    Have you tried turning off your antivirus or firewall?

    Just for clarification - you are getting this error message when downloading the installer file, not running it correct? I cannot remember the Mega interface right now, but I think if you right click the download button it could prompt a context menu with a Save As option. You should be able to save the installer to a location you have access to - e.g. your desktop. It does not matter where you run it from. But I'd be worried that you will encounter the same problem during the installation - especially with EUI.
     
  12. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    This probably belongs to the latest version thread or Quick Q&As thread, but I think the tech pacing for some game speed was changed in the latest version and it will be tweaked again. This coiuld be the root of your problem (I have not played the newest version yet myself).
     
  13. Mishaxki

    Mishaxki Chieftain

    Joined:
    Oct 28, 2020
    Messages:
    6
    Gender:
    Male
    Hey,

    So first of all special thanks to the developers of Vox Populi, love the mod and it makes Civ 5 much more interesting.

    Question I had, I've been having this issue where the 'Ancient Ruins' ie... (Goody Huts) are on occasion not producing a reward and instead saying, 'unknown'. Like the scout rides over it and the ruin disappears and just says, 'unknown'. This is really annoying and happens alot.

    My proposed solution is to enable the Goody Hut Picker promotion on the Default Starter Scout, thus all Civs can choose the reward which should curb the short in the system auto choosing something broken or unavailable.

    I'm going thru hell doing this as both of the mods I've tried on Steam so far are not working with Vox Populi. I suspect that Vox is removing the promotion from the Shoshone scout which it borrows and repurposes for all Civs by default, replacing the vanilla scout unit. Can anyone please tell me what I have to do in order to get around this? Is there a special promotion for the actual Shoshone scout (Native Tongue) that I can use to add to the Pathfinder's FreePromotions class?

    If someone could, I would love to have a compatibility mod that could fix this. All I want to do is enable Native Tongue for all non-Shoshone scouts in Vox. I've looked at the code however because repurposing the Shoshone scout as the default scout, I'm really not sure what to do here to get this. Any help would be appreciated, thanks :)
     
  14. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    @Mishaxki , I don't have a compatibility mod for the AR reward chooser mod, but there is definitely something wrong with your installation and you can be almost sure you that more problems will pop up in the later game.

    Is your Civ up to date? Do you have all necessary DLCs? Aren't you running a other mods which could be conflicting with VP? I've been helping people with messed VP installs for 54 years (ok, maybe less, but almost since the beginning of VP), and I have never heard of this particular problem with ARs.
     
  15. Mishaxki

    Mishaxki Chieftain

    Joined:
    Oct 28, 2020
    Messages:
    6
    Gender:
    Male
    Alrighty so. :D

    Good news, I straightened out the hot mess. So its like this:

    Vox Populi uses the Default Shoshone Scout for all Civs. Then they take and create a new instance of the same Scout and call it under another name. So, technically speaking the Shoshone Scout with the Goody Hut Picker Promotion IS there already.

    The problem is, they Delete the Promotion and strip it away from the Default Shoshone Scout that all Civs receive now. The unique Shoshone Scout created by this new instance has the promotion.

    - The fix was to go under: "My Games\Sid Meier's Civilization 5\MODS\(2) Community Balance Overhaul\Balance Changes\Units\UniqueUnits.sql"

    - Backup the file UniqueUnits.sql

    - Open the file UniqueUnits.sql in Notepad

    - Remove this line of code from the file: "DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SHOSHONE_PATHFINDER' AND PromotionType = 'PROMOTION_GOODY_HUT_PICKER' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );"

    - Save

    - The next time you play the game, the starting Pathfinder (for any Civ) will have the "Native Tongue" promotion and this will allow you to choose a reward from the Goody Huts, using your starter Pathfinder. Remember, the whole reason for doing this is to get around the error where the Ancient Ruin will say, "unknown" and you get nothing at all. At least this way, you can choose what you want and I personally feel this is a better fit for the game, with this being a heavy strategy game, so in the early game we would take what we want anyways in order to support our overall strategy. However, please remember that while this adjustment affects the starting Pathfinder unit, other Pathfinders created should also have it, but not the warrior unit or any workers or settlers, nothing else.

    Anyone else using this might also want to pay attention to any problems that may arise depending on which reward you choose. However, I believe there are other mods out there that address those problems.

    Anyways, thanks again :)
     
    Last edited: Oct 29, 2020
  16. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    @Mishaxki

    Sorry if I am too persistent, but you are not supposed to be getting the "unknown" message. There is something wrong with your VP install.
     
  17. Mishaxki

    Mishaxki Chieftain

    Joined:
    Oct 28, 2020
    Messages:
    6
    Gender:
    Male
    Meh... probably. At any rather I wouldn't doubt it.

    Installed: Vox Populi (6-19-2) and let it do it's thing.

    The only thing during the setup that I wasn't sure about was some of the comments I read about Smart AI. I use that mod with Vox Populi. Could there be a conflict there? Course I don't see how that could affect Goody Huts.

    I guess I could reinstall everything however I had recently done that with a new computer and had this *exact same* problem before. It might be caused by another mod.

    However using this change I might be able to discover exactly which reward is producing the error and then can go from there.
     
    Last edited: Oct 30, 2020
  18. 4CV

    4CV Warlord

    Joined:
    Jan 9, 2017
    Messages:
    174
    Gender:
    Male
    Location:
    Germany
  19. Schaferlite

    Schaferlite Chieftain

    Joined:
    Oct 31, 2020
    Messages:
    2
    Gender:
    Male
    Hey everyone, I hope this is the right place to post this. I'm having trouble with loading the textures in Vox Populi...

    Downloaded v. 10-7-2, installed, everything was working fine. Playing thru as the Iroquois, and right when I got the Musketman, everything went to crap. Can't load textures for ANYTHING. So I did some checking, found out that I needed to put the UI_BC1 folder into the Assets/DLC folder - still no success. Reinstalled Vox Populi, no success. Downloaded a new UI_BC1 folder, still no luck.

    I'm dying to finish my game, this mod kicks @$$. Can anyone help me figure out what I need to do in order to resolve this texture loading issue? Thanks in advance.
     
  20. vyyt

    vyyt Deity

    Joined:
    Jan 28, 2005
    Messages:
    2,340
    Location:
    Czech Republic
    See, there's where your problem is, you could have saved yourself many of wasted hours :)

    You cannot have 2 DLL mods active at the same time!!! You are not using Vox Populi's DLL (aka Community Patch) which includes all AI improvements AND the hooks for the new functions and features of Vox Populi. You are using Smart AI's DLL instead, hence the new VP features are not working (and you are missing even better AI).

    Get rid of Smart AI. The good parts of it are already included in the Community Patch anyway.

    And I suggest trying VP without any extra mods first - to make sure you avoid anyod conflicts. If you want to add more mods, check the stickied Mod compatibility thread. It is not 100% guaranteed, but people share their experience with extra mod compatibility with VP, so it is a good place to start.

    And I'd install the newest beta of VP, I haven't played it myself, it seems very stable.

    Cheers!

    Edit: I am not hating Smart AI. It was a great mod and I was using it before VP appeared. But it is not compatible with VP.
     
    4CV likes this.

Share This Page